﻿// Border&BendEffects.jsx
// Скрипт выполняет псевдо 3D трансформацию прямоугольных объектов (фотографий)
// Перед запуском выделите один или несколько фреймов с изображениями.
// Не вращайте изображения перед запуском скрипта!!!
// Автор Борис Кащеев, adobeindesign.ru, boriskasmoscow@gmail.com
// 12.07.2014

var myMode = new Array();
// Отмена
var appVersion = parseFloat(app.version);
if(appVersion<6){main();}
else{app.doScript (main,ScriptLanguage.JAVASCRIPT,[],UndoModes.ENTIRE_SCRIPT,"Border&Bend Effects");}



//main();
function main(){
    //$.localize = true;
	app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;
	var myObjectList = new Array;
	if (app.documents.length != 0){
		if (app.selection.length != 0){

			for(var myCounter = 0;myCounter < app.selection.length; myCounter++){
				if(app.selection[myCounter].constructor.name == "Rectangle") {
                    myObjectList.push(app.selection[myCounter]);
                    }                
                } // for
			if (myObjectList.length != 0){
                   myWin = CreatePalette();
                   if ( myWin.show()  == 1 ) 
                        myStart(myObjectList);
			}
			else{
				alert ("Пожалуйста выделите прямоугольник(и) и запустите скрипт снова");
			}
		}
		else{
			alert ("Пожалуйста выделите прямоугольник(и) и запустите скрипт снова");
		}
	}
	else{
		alert ("Пожалуйста откройте документ, выделите прямоугольник и запустите скрипт снова");
	}
}// main

function CreatePalette() 
{
    var myIcon0 = "\u0089PNG\r\n\x1A\n\x00\x00\x00\rIHDR\x00\x00\x00@\x00\x00\x00@\b\x06\x00\x00\x00\u00AAiq\u00DE\x00\x00\x00\tpHYs\x00\x00\x0B\x13\x00\x00\x0B\x13\x01\x00\u009A\u009C\x18\x00\x00:\u00BBiTXtXML:com.adobe.xmp\x00\x00\x00\x00\x00<?xpacket begin=\"\u00EF\u00BB\u00BF\" id=\"W5M0MpCehiHzreSzNTczkc9d\"?>\n<x:xmpmeta xmlns:x=\"adobe:ns:meta/\" x:xmptk=\"Adobe XMP Core 5.5-c021 79.154911, 2013/10/29-11:47:16        \">\n   <rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n      <rdf:Description rdf:about=\"\"\n            xmlns:xmp=\"http://ns.adobe.com/xap/1.0/\"\n            xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n            xmlns:photoshop=\"http://ns.adobe.com/photoshop/1.0/\"\n            xmlns:xmpMM=\"http://ns.adobe.com/xap/1.0/mm/\"\n            xmlns:stEvt=\"http://ns.adobe.com/xap/1.0/sType/ResourceEvent#\"\n            xmlns:tiff=\"http://ns.adobe.com/tiff/1.0/\"\n            xmlns:exif=\"http://ns.adobe.com/exif/1.0/\">\n         <xmp:CreatorTool>Adobe Photoshop CC (Windows)</xmp:CreatorTool>\n         <xmp:CreateDate>2014-07-04T08:39:49+04:00</xmp:CreateDate>\n         <xmp:ModifyDate>2014-07-10T11:12:49+04:00</xmp:ModifyDate>\n         <xmp:MetadataDate>2014-07-10T11:12:49+04:00</xmp:MetadataDate>\n         <dc:format>image/png</dc:format>\n         <photoshop:ColorMode>3</photoshop:ColorMode>\n         <xmpMM:InstanceID>xmp.iid:dd006382-fac3-2949-a3ab-0ea49a2762f4</xmpMM:InstanceID>\n         <xmpMM:DocumentID>xmp.did:a09dc59c-2659-b04b-a73b-16e8946fcd2f</xmpMM:DocumentID>\n         <xmpMM:OriginalDocumentID>xmp.did:a09dc59c-2659-b04b-a73b-16e8946fcd2f</xmpMM:OriginalDocumentID>\n         <xmpMM:History>\n            <rdf:Seq>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>created</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:a09dc59c-2659-b04b-a73b-16e8946fcd2f</stEvt:instanceID>\n                  <stEvt:when>2014-07-04T08:39:49+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>converted</stEvt:action>\n                  <stEvt:parameters>from application/vnd.adobe.photoshop to image/png</stEvt:parameters>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>saved</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:dd006382-fac3-2949-a3ab-0ea49a2762f4</stEvt:instanceID>\n                  <stEvt:when>2014-07-10T11:12:49+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n                  <stEvt:changed>/</stEvt:changed>\n               </rdf:li>\n            </rdf:Seq>\n         </xmpMM:History>\n         <tiff:Orientation>1</tiff:Orientation>\n         <tiff:XResolution>720000/10000</tiff:XResolution>\n         <tiff:YResolution>720000/10000</tiff:YResolution>\n         <tiff:ResolutionUnit>2</tiff:ResolutionUnit>\n         <exif:ColorSpace>65535</exif:ColorSpace>\n         <exif:PixelXDimension>64</exif:PixelXDimension>\n         <exif:PixelYDimension>64</exif:PixelYDimension>\n      </rdf:Description>\n   </rdf:RDF>\n</x:xmpmeta>\n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                            \n<?xpacket end=\"w\"?>\u00BD\u00E2\x1A\u0098\x00\x00\x00 cHRM\x00\x00z%\x00\x00\u0080\u0083\x00\x00\u00F9\u00FF\x00\x00\u0080\u00E9\x00\x00u0\x00\x00\u00EA`\x00\x00:\u0098\x00\x00\x17o\u0092_\u00C5F\x00\x00\x05\u00CCIDATx\u00DA\u00EC\u009B\u00CBr\u00DBV\x12\u0086?\\I\u0082\u0080\u00C4\x1B(\u0089\x14I]\u009C\u00B8\u00BC\u009D\u00F12\u00AE\u00F2Kd^\"5\u00AF2y\u0090\u00A4*\u0093\u0099\x07\u00F0n\u00B2\u00F1\x0B8\u0092M\u0089\x12!^\u00C5\x0B\b\x12\x04H`\x16\nY\u00BA\u00D9\u0096\u0092\u00D8U3>\u00BD\x01P\x07\x05\u009C\u00FENw\u009F\u00B3\u00E8_\u008A\u00E38\u00E6\x0B6\u0099/\u00DC\u00D4\u00CF\u00FDC\u00DF\u00F7?8\u009EL&\u00FF\u00B7\x00\x04A\u0080\u00EF\u00FB\f\u0087CZ\u00AD\x16\u00BD^\u008Fv\u00BB\u00CD\u00E5\u00E5%\u00E3\u00F1\u0098v\u00BB\u00CDd2\u00A1\u00DF\u00EF\x13E\x11\u00ADV\u008B(\u008A\u00EE\x0FGYf{{\x1BY\u0096\u00C9\u00E7\u00F3\u0098\u00A6\u00C9\u00D6\u00D6\x16\x1B\x1B\x1B\u00D8\u00B6M\u00A1P\u00C0\u00B6m\u00CA\u00E52\u00A6i\u0092J\u00A5\u00D04\u00ED\x0F\u00CD_\u00FAX\rX.\u0097L\u00A7Sz\u00BD\x1E\u008DF\u0083\u00D3\u00D3S\u009A\u00CD&\u008E\u00E3pvv\u00B6\u00BEw]\x17\u00DF\u00F7\t\u00C3\u00F0\u0093\u00AE\u0098\u00AE\u00EB$\u0093IL\u00D3\u00A4R\u00A9\u00B0\u00B3\u00B3\u00C3\u00EE\u00EE.\u00A5R\u0089r\u00B9L\u00ADV\u00A3Z\u00ADR(\x140\f\x03EQ\x1E\x06 \u008Ec\u00FA\u00FD>GGG\u00BC}\u00FB\u0096z\u00BD\u00BE\u00BE\u00D6\u00EBu\x06\u0083\x01\u00D3\u00E9\u00F4\u00BD\u00AB\u00F7PS\x14\x05Y\u00BE\u00BF\u00F4DQ\u00C4r\u00B9\u00FCcEM\u00961\f\u0083l6\u00CB\u00FE\u00FE>\u00FB\u00FB\u00FB\x1C\x1E\x1E\u00B2\u00BF\u00BF\u00CF\u00D3\u00A7Oy\u00F2\u00E4\t\u0099L\x06I\u0092n\x02\u0098\u00CF\u00E7\u00BC|\u00F9\u0092\u00D7\u00AF_\u00B3X,\x1E\x1EB\u0092\u008C\u00AE\u00EBlnnR.\u0097\u00D9\u00D8\u00D8\u00C0H\u00A7\u00C9f\u00B3\u00ECloS*\u0095H\x19\x06\u00A6i!K\x12\u00A6e\u00A1\u00EB:\u00B7\x03O\u0092$\u0082 `\u00E2\u00BADq\u00CCd\u00E22\u009BNq\x1C\u0087\u008BV\u008B\u00C1`\u00C8\u00C4\x1D\u00E3\u00BA.\u00CE\u0085\u00C3h8\"\b\u00E6<f\x13\u00D34\u008D\u00E7\u00CF\u009F\u00F3\u00EA\u00D5+\x12\u0089\u00C4\u00CD\x1A\x10\u00C71\u00C3\u00E1\u00F0^\u00E7u]\u00A7\u0090/\u00B0[\u00A9\u00B0\u0099\u00C9P\u00ADT888`{g\x07\u00CB\u00DA \u009F\u00CF\u00B3[\u00BErTUU\x14EE\u00D35\u0092\u0089\x04Q\x14\x11E\u00D1z\u00A2\x1F\u008B\u00A0UtH\u0092\u0084,\u00CB\u00C8\u00B2\u008C?\u009F\x13\x06!\u008BE\u00C8r\u00B9d6\u009Br~\u00EE\u00D0\u00EB\u00F7\x18\u008F\u00C6\\8M\u008E\u008E\u008Fi\u00B5Z\f\x06\x03\u009C\u00E69\u00BD^\u008F \bn|;\fC\x06\u0083\u00C1\rh7\u008A\u00A0\u00AA\u00AE\x1E%\u00BE\u00FD\u00DB\u00B7\u00BC\u00F8\u00E6\x05\u0099l\u008E\u00AD\u00AD-\u00F6\u00F6j\x18F\x1AMSI\u00A5\fTUa\u00B1X\x10\u00C7\u00F1:t\u00AF\u009C\u008B\u0089\u00E3\u0088\u00B9\u00EF\u00E3\u00CFf\x7FJ\u00DEK\u0092\u0084$I\u00A8\u00AA\u008A\u00AA\u00AA\u00A4R)l\u00BB\u00B8\x06\u00A4(\nA\x182\u00FF\u00AD\x06M\u00A7SNNN\u00E9t\u00DAt;\x1D\u00FE\u00F3\u00CB/\u00FC\u00F8\u00C3\x0F@|\u00CD\u00C7\x0F\u00EC\x02\u009A\u00A6\u00F2\u00DDw\x7F\u00E7\u00C5\u008Bo\u0098L&,\u0097\u00CB\u00B5\u00B3q\x1C3\u009Dz|\u00CE\u00F3\u00D3\u00EA\u00BF\u00D7\x0B\u00F3\u00EDb\u00BB\u0082\u00A4\u00EB:\u0089D\x02\u00DB\u00B6Q\x14\x05\u00CB2\u00F9\u00CB_\u009F\u00F3\u00F3?\x7F\u00BA\u00B7@\u00BFw\x1B\u00F4<\u008F\u00F1x\u00CC\u00ECOZ\u00C5\u00CF\ri\u0095\u00CAQ\x14\u00E1y\u009E8\t\n\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00|q\u00F6I%3\u00AB\u00FE\u00DD\u00AB{\x00\u00E9\u00DE\u00B1\u00DBm\u00AE\u00B7\u00EF?e_\u00F2\u00EF\x06p\u00BB\u00AD}%\u0084X=\u00AB\u00AAJ\x10\x04\x04A\u00C0b\u00B1 \u008A\u00E2u\u00C3\u00B5$I,\x16\x0B\u00E6\u00F39\x00\u0089D\x02UU\u0089\u00E3\x18Y\u0092QTe\u00DD\x1D\u00AE\u00EB:\u00BA\u00AE\u00FF\u00F6\u008D\u00E8Nw\u00FAC\u00DB\u00F0\x1F\r\u00E0\u00BAc\u00AB\u00C9\\wr6\u009B\x11\u0086!a\x18\u00E2y\x1E\u00E7\u00E7M\u0086\u00C3!\u00AE;f2\u0099p\u00E14\u00E9v{t{=<\u00CFc\x11\u0086\u00EB\u00CEsY\u0096q]\u0097N\u00A7\r@\u00B1\u00B8\u0085eY,\u0097Kt]\u00C7H\u00A7Q\x15\u0095\u00B4\u0099\u00C6.\x14\u00B0\u00ED\x02;\u00A5+\u009D\u0090em\u0090\u00C9d\u00D8\u00DD-\u0093N\u00A7\u00D14\rM\u00D30M\u00F3\x06\u009C\x15\u00EC\u00F7\u00A9S>\b@\u0092$\u0092\u00C9$\u0092$\x13\x04!\u00D3\u00A9\u00C7\u00C9\u00C9)\u00DDN\u0087\u00CB\u00CBK\u008E\u008E\x7F\u00A5qz\u00C6p4d8\x18\u00D0h\u009C\u00E2yS\u00C20$\u008E\x1F\u00BF\x12\u00A3\u00D1\u00E8\x11i%\u00A3i\x1A\u00E9\u00B4A\u00B5Z#\u0093\u00CD\u0092\u00D9\u00CCP\u00ADU\u00F8\u00EA\u00C9\u00D7\u00E4r9\u00ECbq\u00ADoH\x19\x06\u0086a\u00AC\u00D3\u00EDA\x00\u00A28\u00E6\u00FB\u00EF\u00FFA\x1C\u00C7t\u00DAm\u00CE\u00CF\u00CE\u00E8\u00F5\u00EF*0\x1Ek\u009A\u00A6\u00ADC]Q\x14t]\x07\u00AE\u0094g\u00CB\u00E5r\u009D\x1A\x1F\x12^\u00C5qD\x10\u00CC\t\u00829\u0083\u00C1\u00E0\u00DEw\u00AE+\\\u00B6\u00B6\u00B7Q\x15\u00E5\u00BD)r/\u0080E\x18\u00F2\u00EF\x7F\u00FD\u00FC \u00A7V*\u00AE\u0095f\u00A8X,b\u00DB6\u00B6m\u00B3\u00B9\u00B9I>\u009F'\u0097\u00CB\u0091N\u00A7\u00C9d2\u00EBPO\u00A5R\x14\n\x05\x00z\u00BD\x1E\u00B3\u00D9\fEQp]\u0097\u00E1p\u0088\u00E7y\\^^\u00D2\u00EF\u00F7\x19\u008DFt\u00BB]\u00BA\u00DD.\u009DN\u0087f\u00B3\u00C9h4\u00C2\u00F7\u00FD{\x17%\b\x02\u009C\x0B\x07\u00E7\u00C2y\\\r\u00B8\u008F\u00BC,\u00CB\u00A4\u00D3i\u00F2\u00F9<\u00D5j\u0095Z\u00AD\u00B6\u0096\u00A9U*\u0095\u00B5\\\u00CD\u00B2,\u0092\u00C9\u00E4\u00EF\u00D2\u00F1e\u00B3\u00D9\x07\u00BF\x1B\u0086!\u00BE\u00EF\u00E3\u00BA\u00EE\r\u00F9\u009E\u00E384\x1A\r\u00CE\u00CE\u00CE\u00D6*7\u00CF\u00BB\u00ABl\u00B9\u00ED\u00E3\r\x00\u00C5b\x11\u00C30x\u00F6\u00EC\x19{{{\x1C\x1C\x1Cpxx\u00C8\u00C1\u00C1\x01\u00B9\\\u008ET*\u00F5Q\x1D\u00DE\u00A7\u00B6U\u00D1\u00B3,\u008BR\u00A9tg\u00FC\u00BA\u00CE\u00B1^\u00AFsrr\u00C2\u00BBw\u00EF8>>\u00E6\u00CD\u009B7X\u0096u\u00B3\u00A6\\\u00D7\rN&\u0093\u00B5\u00E6\u00E6\u00FF\u00D1\u00E6\u00F39A\x10`\u009A\u00E6]\u00DD\u00A08\n\x7F\u00A1\u00F6\u00DF\x01\x009C\u00FE\u0098\u009FL\u00BB\\\x00\x00\x00\x00IEND\u00AEB`\u0082";
    var myIcon1 = "\u0089PNG\r\n\x1A\n\x00\x00\x00\rIHDR\x00\x00\x00@\x00\x00\x00@\b\x06\x00\x00\x00\u00AAiq\u00DE\x00\x00\x00\tpHYs\x00\x00\x0B\x13\x00\x00\x0B\x13\x01\x00\u009A\u009C\x18\x00\x00:\u00BBiTXtXML:com.adobe.xmp\x00\x00\x00\x00\x00<?xpacket begin=\"\u00EF\u00BB\u00BF\" id=\"W5M0MpCehiHzreSzNTczkc9d\"?>\n<x:xmpmeta xmlns:x=\"adobe:ns:meta/\" x:xmptk=\"Adobe XMP Core 5.5-c021 79.154911, 2013/10/29-11:47:16        \">\n   <rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n      <rdf:Description rdf:about=\"\"\n            xmlns:xmp=\"http://ns.adobe.com/xap/1.0/\"\n            xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n            xmlns:photoshop=\"http://ns.adobe.com/photoshop/1.0/\"\n            xmlns:xmpMM=\"http://ns.adobe.com/xap/1.0/mm/\"\n            xmlns:stEvt=\"http://ns.adobe.com/xap/1.0/sType/ResourceEvent#\"\n            xmlns:tiff=\"http://ns.adobe.com/tiff/1.0/\"\n            xmlns:exif=\"http://ns.adobe.com/exif/1.0/\">\n         <xmp:CreatorTool>Adobe Photoshop CC (Windows)</xmp:CreatorTool>\n         <xmp:CreateDate>2014-07-04T08:39:49+04:00</xmp:CreateDate>\n         <xmp:ModifyDate>2014-07-10T11:15:31+04:00</xmp:ModifyDate>\n         <xmp:MetadataDate>2014-07-10T11:15:31+04:00</xmp:MetadataDate>\n         <dc:format>image/png</dc:format>\n         <photoshop:ColorMode>3</photoshop:ColorMode>\n         <xmpMM:InstanceID>xmp.iid:f1ebf218-5e30-aa4e-9abb-707c7db00cd8</xmpMM:InstanceID>\n         <xmpMM:DocumentID>xmp.did:35ca6b19-f690-834f-b521-ad6888827263</xmpMM:DocumentID>\n         <xmpMM:OriginalDocumentID>xmp.did:35ca6b19-f690-834f-b521-ad6888827263</xmpMM:OriginalDocumentID>\n         <xmpMM:History>\n            <rdf:Seq>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>created</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:35ca6b19-f690-834f-b521-ad6888827263</stEvt:instanceID>\n                  <stEvt:when>2014-07-04T08:39:49+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>converted</stEvt:action>\n                  <stEvt:parameters>from application/vnd.adobe.photoshop to image/png</stEvt:parameters>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>saved</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:f1ebf218-5e30-aa4e-9abb-707c7db00cd8</stEvt:instanceID>\n                  <stEvt:when>2014-07-10T11:15:31+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n                  <stEvt:changed>/</stEvt:changed>\n               </rdf:li>\n            </rdf:Seq>\n         </xmpMM:History>\n         <tiff:Orientation>1</tiff:Orientation>\n         <tiff:XResolution>720000/10000</tiff:XResolution>\n         <tiff:YResolution>720000/10000</tiff:YResolution>\n         <tiff:ResolutionUnit>2</tiff:ResolutionUnit>\n         <exif:ColorSpace>65535</exif:ColorSpace>\n         <exif:PixelXDimension>64</exif:PixelXDimension>\n         <exif:PixelYDimension>64</exif:PixelYDimension>\n      </rdf:Description>\n   </rdf:RDF>\n</x:xmpmeta>\n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                            \n<?xpacket end=\"w\"?>\u00E5\u00AF\u00B7Y\x00\x00\x00 cHRM\x00\x00z%\x00\x00\u0080\u0083\x00\x00\u00F9\u00FF\x00\x00\u0080\u00E9\x00\x00u0\x00\x00\u00EA`\x00\x00:\u0098\x00\x00\x17o\u0092_\u00C5F\x00\x00\x06}IDATx\u00DA\u00EC\u009B\u00CBr\u00D3Z\x16\u0086?],\u00DFd;\u00B6\x15\u00DFB;\u0098C\u00A0\x0B\u00FA\u008C\x18\u00D23F\u00CC\u00FA<\x01\x0F\u00C0\u0098~\u00A0\u00EE~\t\u00C6\x14\x0F\u00C0\u00A9\u00A2R!\u0087\x18\u009CX\u00BE$\u0096\u00EC\u00C4\u00B6,\u00EB\u00D6\u0083\u00C4\u00C2!\u0081\u00E6\u00D4\tU\u00A7\u009A\u00BD\u00AAT\u0092\u00B7\u00B7\u00B6\u00F6\u00FA\u00F6\u00DAK\x1A\u00AC_\u008A\u00A2(\u00E2\x076\u0099\x1F\u00DC\u00D4\u00D5\u00C5\u00D1\u00D1\x11/_\u00BE\u00E4\u00E1\u00C3\u0087\u00DC\u00BD{\x17\u00C30\u00FEo\u009Ct\x1C\x07\u00D34y\u00F5\u00EA\x15[[[<~\u00FC\u0098L&s\x19@\u00A7\u00D3\u00E1\u00C5\u008B\x17d2\x19t]g{{\u009Bf\u00B3\u00C9\u009D;w\u00B8\x7F\u00FF>;;;lmmQ,\x16\u0091$\u00E9O\u00E9\u00E8t:e4\x1A\u00D1n\u00B7y\u00FB\u00F6-\u00FB\u00FB\u00FB\x1C\x1E\x1E\u00D2n\u00B7\u00B1m\u009B\u00D3\u00D3S\u009E={\u00C6\u00A3G\u008F\u00AE\x02\x00\x18\u008F\u00C7\u00D8\u00B6\r\u00C0\u00DE\u00DE\x1E\u0089D\u0082T*E*\u0095\"\u0099L\u0092\u00C9dh4\x1A\u00D4\u00EBuj\u00B5\x1A\u00ADV\u008B\u00DB\u00B7o\u00D3l6\u00A9V\u00AB\u00E8\u00BA\u008E\u00AE\u00EB\u00DF\u00CDA\u00D7u\u0099N\u00A7X\u0096E\u00A7\u00D3\u00A1\u00D3\u00E9\u00F0\u00F1\u00E3GL\u00D3\u00A4\u00DF\u00EFsxx\u0088m\u00DB\u00B8\u00AE\u008B\u00E38\u00B8\u00AE\u00CBr\u00B9$\f\u00C3x\u008C\u00E5ryi\x01c\x00\u0092$\u00A1\u00AA*\u009E\u00E7!I\x12Q\x14\u00E1y\x1E\u009E\u00E7qvv\x16\u00DF\u00F0\u00EE\u00DD;TUEUU\u0092\u00C9$\u009A\u00A6\u00A1i\x1A\u0089D\u0082\\.G\u00A5R\u00A1T*\u00A1\u00EB:\u00A5R\u0089R\u00A9D\u00B1Xdcc\u0083l6\u008Ba\x18DQ\u00C4\u00E7\u00B9W\u0096e\u00E6\u00F39\u00B6m3\u009DN\x19\u008F\u00C7\f\u0087C&\u0093\t\u0093\u00C9\x04\u00CB\u00B2\u00B0m\x1B\u00CB\u00B2X,\x16,\u0097\u00CB\u00F8X\u00CD\u00F3k\u00F9|\u00E5\u0093,\u00CB\u00D7\u00E7\x00 \x1E\u00E0o?\u00FF\u00CC\u008B\x17\u00FF\u00A4{t\u00C4\u009B_\x7F\u00A5g\u009A\u00B4?\u00B4\u00E9\u00F5zx\u00CB%\u00BE\u00EF\u00E3\u00FB>\u008B\u00C5\u00E2\u00DA\u0087)\u008A\u0082,\u00CB(\u008A\u0082\u00AA\u00AA(\u008A\x12\u00B7\u00A9\u00AAz\u00E9Y\u00EB\x13\f\u00C3\u0090 \b\b\u00C3\x10\u00DF\u00F7\t\u0082 >|\u00DF\u00FF\u00A6()\u0095\u00CA\u00B4\u00EE\u00B4\u00A8\u00D7\x1Bl7\u00B7y\u00FC\u00F7\u00C7\u00BC~\u00FD\u009A\u00FF\u00FC\u00FB_L&\u0093/'\u00C1u+\u00E4\u00F3<}\u00FA\x14-\u0099\u00C4\u00B6m\u00C2 `:\u009D\u00D2\u00EDv\u00B1,\u008B\u00E3\u00E1\u0090\u00FD\u00DF\u00F61\u00CD\x1E\u0093\u00F1\x18\u00B3\u00DB\u00E5\u00B0{\u00843w\b\u00C3O\u0093\u00F6<\u00EF\u00C6\u00B7A:\u009D\u00A6T*\u00B1u\u00EB/\x18\u0086Ae\u00B3\u00C2\u00FD\u00BF\u00DE\u00A3^\u00AF\u0093\u00CB\x15h4\x1A\x18F\x19UU\u00D14\u008D\u00CA\u00A6\u00C1h4BV\u0094\u00AF\u00BF\x05\u00D6-\u008C\"|? \u0099\u0084t*\u0085$I\u00E4r9\u00EA\u00F5z\u00DC\u00C7\u00F3<\u0096\u009EG\x18\u0084\u00B8K\u0097\u0093\u00E3cF'#\u00E6\u008E\u00833\u009Ba\u008Fm\u00CC^\u008F\u00C1`\u0088\u00BBpp\u009C\x05\x0B\u00D7a\u00E18H\u00D2\u00D5\u00B7o\x18\u0086\u00A8j\u0082\u00AC\u00AE\u00A3i\x1A)M\u00A3X.Q\u00AF\u00D7\u00D84*\u00E4\u00F39\u0092\u00E94\x1B\u0085\rj\u00B5*\u0099L\x06I\u0092\u00E2-x\u00BE\u00AF#@\u008A\u00A3+\fC\x14U%\b\u0082\u00F3\u00BF\u00BE\x15\u00C0\u00EA\u00E6U\u00E8\u00AD\u0092\u0086$I\u00F1\u00B5\u00A2(d.\u00C2Y'\u008BQ._\u00D9o\u00AB\u00AD\x12\u0085\x11A\x18\x10E\u00D1\u00A5\u0084\u00F4\u00A5\u00ED#I\x12\u0092,\u0093P\x14\u00D4\u0084\u0086$Kp\u00E1T\x14E\u00F1\u00F8\u00D1Z[\x18\u0086Wr\u00CB\u00F9o\u00BE\u009A\x1B\u00D4\u00DF\x13~\u00D7%\u00AFu\u00A7\u00D7\u00CF\u00AB\u00C4\u00A6i\u00DA\x1F\n\u00F9(\n\t\u00FD\u00E8R\u00DE\u00B8\u00C9\u008FW\u00F5\u00A6\x06\u00FA\x1E\u0093\x13\u009F\u00C2\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x02\u0080\x00 \x00\b\x00\x7F\u00C0\u00AE\u00AD\x14\u0095%\u0089d2\u0081\u00A6iq\u00C5\u00F7u\u00B5\u00B8\x7F6[\u00D52\u00AF\u00D74\u00CB\u00D2y\u00FD1\u00D2\u00EF\x000\u009F\u00CFy\u00FF\u00FE\u0080\u00AD\u00AD-|\u00DF'\u0099L\u0092H$VOA\u00BA\x00\x02\\*\u0080\u00FE\u00DE\u0080\u00D6\x1D\u00FB\u00DC\u00D9U\x01\u00F5j\u00B1VB\ng>\u00C74{\x04\u009E\u00FFu\x00\u00EB\u008E\u00BCy\u00F3\u0086_~\u00F9\x07\u00F7v\u00EE\u00D1h4\u00B8\u00F3\u00D3O\u00EC\u00DC\u00DD!\u00BFQ\u00A0R\u00A9P\u00A9TP.\u00C4\x0F\u00C9T\x12EU\u0091\u00CE+\u00D5\u00E3\t~^;\u00BC\u00AA\u00DC^\u00D5\u00AD_'\u0098\u00B8\u00AE\u00E0z\u00BD}\u00FD\u00FE0\u008C\u00F0\u00BC%K\u00CF#\u00F0}N\u00CF\u00CE\x18\f\x06L\u00EC1\u00BD~\u008F\u00BD\u00BDw\u0098\u00DD.\x07\x07\u00BF\u00D1n\u00B7\u0099\u00CDf1\u009C/F\u0080\u00A6i,\x16\x0B\u0082 \u00C0\u00ECv1\u00BB\u00DD\u00CB\u009D\u00D5\x04\u00E5r\u0099\u00DB\u00B7\u00B7\u00A9\u00D5\x1A\u0094\u00CA\u00E7\u00EA\u008C\u00ADF\x03]\u00D7\u00C9\u00EAYJ\u00A52\u00A5\u00E2\x06\u008A\u00AC\"+\u00F2\u0085RD!\u0091P/\u00D4\"\u00D2\u00B5\u00A2\u00ABs \u00E7\u0090\\\u00D7\u008D\u0095#\u00AB\u00B3\u00E3\u00CC\x19\x0EO\x18O\u00C6,\x1C\u0087\u00E3\u00E3!\u00ED\x0F\x1F\x18\u00F4\u0087\x1C\x0F\u00FB\u00B4\u00DBm\x06\u0083!\u008E3\u00FFj\x04\u00AD\x14+W\x004\u009BM\u009E?\x7F\u00CE\u00EE\u00EE.\u00A6i2\x1E\u008Fq\x1C\u0087\u00D9l\u00C6b\u00B1\u00B8\u00A8\u00FD\u00F7\x18\f\u00FA\f\x06\u00FD\u00EBF'\u009DJ\u00A1\u00E7r\u00D4\u00AAU\u00AA\u00D5\x1AY]'\u009B\u00CD\u0092\u00CEd0J%\f\u00A3\f\u0092L>\u009F'\u0095J\x11\u0086\u00E1y\u00E8\u0086\x11\u00A7\u0093\t\u00EEr\u00C1\u00C2]2\x1C\x0E9\u009D\u009C\u00E28\x0E\u00F3\u00F9\x14\u00CB\u00B2\u00E9\x0Fz\u009C\u009C\u008C\u0098\u00CDg\u0084~\u00F0?\u00B7\u00CAJ\u00E4\u0095\u00C9dH\u00A7\u00D3\x17J\x12\u0083'O\u009E\u0090\u00CDf?\u00F5\u00BDN9j\u00DB6GGG\u00EC\u00EF\u00EF\u00B3\u00BB\u00BB\u00CB\u00C1\u00C1\x01\u00FD~\x1F\u00D349;;\u00C3u]\u00E6\u00F3y,^\u00FAV=\u00CFM\u00E7\x03M\u00D3H\u00A5R\u00A4\u00D3\u00E9X\u00D9V\u00ADV\u00A9\u00D7\u00EB\u00DC\u00BAu\u008B\u009D\u009D\x1D\x1E<x@\u00AB\u00D5\u00A2\u00D1h\\\x11L}\x11\u00C0\u0097\u00CC\u00B2,F\u00A3\x11\u0087\u0087\u0087\u00BC\x7F\u00FF\u009EN\u00A7C\u00BF\u00DFg4\x1Aqrr\u0082eYq\u00F2q]7Vs\u00AD\u0094#Ap\u00AE\x1A\t\u0082\u00AB+(\u00CB2\u00B2,\u00C7a\u009AH$\u00E2\u00F3\u00BA2-\u009F\u00CFc\x18\x06\u00C5b\x11\u00C30h6\u009B\u00B4Z-\u00B6\u00B7\u00B7\u00A9\u00D5jlnn~J\u00D8\u00DF\x02\u00F2\u00A6\u00B4\u00C3\u00AE\u00EB2\x1E\u008F9==e2\u0099\u00D0\u00EB\u00F5\u00B0,\x0B\u00CB\u00B2\u00E2\u00F6\u00D9lF\x10\x04\u00CCf3<\u00CF\u00BB\u00B4\"\u00D9l\u0096d2\u0089\u00AA\u00AA\x14\n\x05666(\x14\n\u0094\u00CBe\f\u00C3\u0088\u009D.\x14\n7\u00AAM\u0094\u0084xZ|\n\u00FF\u00D8\u00F6\u00DF\x01\x00,\u00F5f\u00C6\u0096wa\x04\x00\x00\x00\x00IEND\u00AEB`\u0082"
    var myIcon2 = "\u0089PNG\r\n\x1A\n\x00\x00\x00\rIHDR\x00\x00\x00@\x00\x00\x00@\b\x06\x00\x00\x00\u00AAiq\u00DE\x00\x00\x00\tpHYs\x00\x00\x0B\x13\x00\x00\x0B\x13\x01\x00\u009A\u009C\x18\x00\x00:\u00BBiTXtXML:com.adobe.xmp\x00\x00\x00\x00\x00<?xpacket begin=\"\u00EF\u00BB\u00BF\" id=\"W5M0MpCehiHzreSzNTczkc9d\"?>\n<x:xmpmeta xmlns:x=\"adobe:ns:meta/\" x:xmptk=\"Adobe XMP Core 5.5-c021 79.154911, 2013/10/29-11:47:16        \">\n   <rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n      <rdf:Description rdf:about=\"\"\n            xmlns:xmp=\"http://ns.adobe.com/xap/1.0/\"\n            xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n            xmlns:photoshop=\"http://ns.adobe.com/photoshop/1.0/\"\n            xmlns:xmpMM=\"http://ns.adobe.com/xap/1.0/mm/\"\n            xmlns:stEvt=\"http://ns.adobe.com/xap/1.0/sType/ResourceEvent#\"\n            xmlns:tiff=\"http://ns.adobe.com/tiff/1.0/\"\n            xmlns:exif=\"http://ns.adobe.com/exif/1.0/\">\n         <xmp:CreatorTool>Adobe Photoshop CC (Windows)</xmp:CreatorTool>\n         <xmp:CreateDate>2014-07-04T08:39:49+04:00</xmp:CreateDate>\n         <xmp:ModifyDate>2014-07-10T11:16:24+04:00</xmp:ModifyDate>\n         <xmp:MetadataDate>2014-07-10T11:16:24+04:00</xmp:MetadataDate>\n         <dc:format>image/png</dc:format>\n         <photoshop:ColorMode>3</photoshop:ColorMode>\n         <xmpMM:InstanceID>xmp.iid:59980f5c-8ab9-1d48-a751-6d608a21a384</xmpMM:InstanceID>\n         <xmpMM:DocumentID>xmp.did:ec2b88df-fa72-7f45-8cda-3856593cee21</xmpMM:DocumentID>\n         <xmpMM:OriginalDocumentID>xmp.did:ec2b88df-fa72-7f45-8cda-3856593cee21</xmpMM:OriginalDocumentID>\n         <xmpMM:History>\n            <rdf:Seq>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>created</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:ec2b88df-fa72-7f45-8cda-3856593cee21</stEvt:instanceID>\n                  <stEvt:when>2014-07-04T08:39:49+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>converted</stEvt:action>\n                  <stEvt:parameters>from application/vnd.adobe.photoshop to image/png</stEvt:parameters>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>saved</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:59980f5c-8ab9-1d48-a751-6d608a21a384</stEvt:instanceID>\n                  <stEvt:when>2014-07-10T11:16:24+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n                  <stEvt:changed>/</stEvt:changed>\n               </rdf:li>\n            </rdf:Seq>\n         </xmpMM:History>\n         <tiff:Orientation>1</tiff:Orientation>\n         <tiff:XResolution>720000/10000</tiff:XResolution>\n         <tiff:YResolution>720000/10000</tiff:YResolution>\n         <tiff:ResolutionUnit>2</tiff:ResolutionUnit>\n         <exif:ColorSpace>65535</exif:ColorSpace>\n         <exif:PixelXDimension>64</exif:PixelXDimension>\n         <exif:PixelYDimension>64</exif:PixelYDimension>\n      </rdf:Description>\n   </rdf:RDF>\n</x:xmpmeta>\n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                            \n<?xpacket end=\"w\"?>s\n\u00C7\x1F\x00\x00\x00 cHRM\x00\x00z%\x00\x00\u0080\u0083\x00\x00\u00F9\u00FF\x00\x00\u0080\u00E9\x00\x00u0\x00\x00\u00EA`\x00\x00:\u0098\x00\x00\x17o\u0092_\u00C5F\x00\x00\x05\u00E5IDATx\u00DA\u00EC\u009BMs\x12I\x18\u00C7\u00FF=L\u0098\u00C00\u00BC\u0085@\u00C0\u00C4\x00J\u00D4X9X\u009E<YV\u00B9~\u008F\u00DD\u00BDl\u00ED~\t\u00BF\u0083'/\u00EB'\u00C9\u00C9\u00DA\u00ACW\u00CBr\u00D52\u0080B\b\u00E1e\b\u00C3K\u0086\x01fz\x0F@g\u0090\u0097I\u008EM\u00EC*\u00AA\u009E&\u00E1\u00D0\u00BF\u00F9\u00F7\u00D3\u00FF~\u00BA\u0087PJ)np\x13p\u00C3\u00DB\u008D\x07 \u00CE\u00FBR\u00D7u\x1C\x1E\x1E\u00C20\f\b\u00C2\u00EA02M\x13\u00E1p\x18\u00CF\u009E=\x03!d\u00F4%\u009D\u00D3\u00DE\u00BE}K\x01\u00AC\u00E4\u00E7\u00C5\u008B\x17Sc\u009D\u00FBx\u00B3\u00D9\u00EC\u00CAJ\u00FE\u00D1\u00A3G\u00CES\u00E0\u00FD\u00FB\u00F7,\u00DE\u00DF\x7F\u0088T:\u008D\u00E1p\u00C8g\u0092#\x02\u008E\u008E\u00FE\u0081\u00A65\x01\x00O\u009E<q\x06\u00F0\u00E9\u00D3'\x16\u00FF\u00F1\u00E7_\u00F8\u00FD\u00B7_\u00D1\u00E9t\u00F8Kp\u00E2\x1Aj\u00F5\x1A~y\u00FE\x1C\u009A\u00D6\u0084(\u008AH&\u0093\u00CB\x01\x18\u0086\u0081/_\u00BE\x00\x00\b!\u00C8d\u00EEb0\x18\u0080R\u008B\u00BF\u00A7/\x104T\x15\u00E7\u008D\x06\x00 \u0091H \u0091H,\x07P,\x16\u00A1\u00AA*\x00`{{\x1B\u00A9d\n\u0083\u00C1\x00\u0096E9\x04  \u009B\u00CB\u00A1\u00D3i\u00B3\u00F1lll,\u00F7\x01\u00F9|\u009E\u00C9=\x18\nc}]\x02\u00CFf\u00F1\u00F3\u00E7\u00CF,N\u00A7\u00D33\u00CB\u00FA\f\u0080B\u00A1\x00\u00CB\x1A\u00C9\u00FD\u00F6\u00ED\u00DB\b\x04\x020M\u0093\u00CB\u00C1SJQ\u00ADTX\u00FF\u00DE\u00BD{\u00CENp2\u00FF\x01\u00E0\u00E0\u00E0\x00n\u00B7\u009B[\x05PJ\u0091\u00B3-\u00E9\u00F7\u00EF\u00DFw\x06`\u00F7\x00\u009B\u009BQn\u009F\u00BE\u00CB\u00E5B]U\u0091\u00CB\u00E7X?\u0095J]\x0F@<\x1Eg\u00D3\u0081G\x00\u00CDf\x13\u00ED\u00F6(\x01\u0086\u00C3aD\u00A3\u00D1\u00E5\x00Z\u00AD\x16\u00AA\u00D5*\x00@\u0096e\u00EC\u00EDe\u00B8U\u0080 \bhk\x1A:c\x00\u00B1X\f\u0091Hd9\u0080b\u00B1\u0088V\u00AB5\u00FE\u00C1\x16\x14E\u00E1Z\x01\u0085B\x01\u00BD^\x0F\x00\x10\u0089D\u00E0\u00F1x\u0096\x03(\u0097\u00CB\u00B8\u00B8\u00B8\x00\x00(~?$I\u00E2\x16\x00\x00\x1C\u00E7r,\u00FE\u00D1\x01\u00CE\x05P\u00A9TX\u00C6\x0F\u0085B\u00F0zePN\x01PJ\u0099\u00A1\x03\u0080\u00DD\u00DD]g\x00\u00E5r\u0099\u00C5{\u0099\fd\u00D9\x0B\u008Bc\x134\u00B1\u00C0\x00p\u00EB\u00D6-g\x00\u00C5b\u0091\u00C5\u00DB\u00DB;\\\u00CB\u009FR\u008Al\u00F6\u0098\u00F5wvv\u009C\x01\u009C\u009D\u009D\u00B1X\u00F1\u00FB\u00B95@.\u0097\x0B\u008D\u00C69\x1A\u008D\u00F3\u00F1\u00AEP\u009C\u00BB\x04\u00CE\u00CD\x01\u0097\x00\x14n\x01\b\u0082\u0080v\u00BB\u008D\u00EExO#\u00CB2\u00FC~\u00FF\u00F5\x00$\u00E2qn=\x00!\x04\u00BA\u00AE\u00A3g\u008C\u0096\u00C0@ \x00EQ\u0096\x03\u00D0u\u009D\u00B9&\u0097\u00CB\u0085ht\u0093k\x05\u00F4\r\x03}\u00A3\x0F\x00\u00F0\u00FB\u00FD\b\x04\x02\u00CB\x014\u009BM\u00F4\u00FB\u00FD\u00B1\x05N\u00C0\u00EB\u0095\u00B9M\u0082\u0082 \u00A0\u00D5\u00D2\u00D8x\u00BC^/\u00DCn\u00F7r\x00\u009A\u00A61\u00D7\u00E4v\u00BB\u00E1r\u0089\u00DC*\u0080\x10\u0082n\u00B7\u008B\u00E1p0\u00CAg\u008A\u00B2\u00B0\u00BC\u00CF\u00BEm\u00B7\u00DB0\f\u0083\x11[[[\x03\u00CF\u00ADV\u00AF\u00B3\u00D8\u00EB\u00F5.V\u00CB$0M\u0093=qB\u00C8\u00E5\u00C1\x01\u00A7\u00ADZ\u00AD\u00B18\x16\u008B9\x03PU\x15\u0083\u00C1`e\u00F6\x01\u00A2(N\u0099\"G\x00\u00F6\x7F\"\u0084\x00\x1C\x0B\u0080R\n]\u00D7\u00AF7\x05V\u00AD\u00B5\u00C7\u00DB\u00FA+O\u0081Uk\u00F6\x1C\u00B6,\u009F\u00AD,\x00\u00FB\u0094\u00BER\x0EX\u00B5f\u00B7\u00BEv\u008B\x7F#\x00\x10B\u00E0\u00B1%\u00BEI\u0095k)\u0080P(\u00C4\u0096\u008E\u0089)\u00E2\u00D9\x0B\u00D87r\u00CB.y\u00B0\u00BFH\u0092\x04\u0097\u00CB\x05\x00\u00B0L\x13\u00D4\u00A2\\\x03\u00B0o\x7F\u00EB6W\u00B8\x10\u0080\u00C7\u00E3a\n\u00E8\u00F5z\u00CCG\u00F3\u00DA\x12\u00F1-\x16\u00B7lK\u00E2B\x00\u00C1`\u0090\u0095\u008D\r\u00C3\u00809\x1Cr\u00AB\x00J)d\u00D9\u00C7\x14}qq\u00B1\u00D0\u00D52\x00\u0081@\u0080m\x19k\u00B5*\u00F4\u009E\u00CE-\x00\u00CB\u00B2\u00C6\u00E3\u0091XN\u009Bl\u008D\x17\x02\u00F0\u00F9|\u0090e\u0099M\u0081j\u00AD\u00C6\u00ED\r1\u00CB\u00B2 \u00AD\u00AFCZ\u00BF\x04\u00A0i\u009A\u00F32h\u00B7\u008Cgg\x15n\x01PJ!I\x12$\u009B\x02\u00BA\u00DD\u00AE3\x00{\u00E5\u00B4y\u00DE\u00E4Z\x01>\u009F\x0F\x1E\u00D9\u00CB\u0092\u00E0\u0095\x14\x10\u008F\u00C7/3\u00A7\u00A6q\u009B\x03L\u00D3D$\u00B2\u0081\u00C8\u00F8:\u00CCp8\u009C:%Z\b\u00C0~xP*\u009Dp}KT\x10\x04\u00DC\u00B9{\u0097\u00F5ONN\u009C\x01\u00D8\u008F\u008Fr\u00B9\x1Ct\u00BD\u00C7\u00B5\x19\n\u0085\u00C2,\u00FE\u00FE\u00FD\u00FB\u00F5r@\u00BD\u00AE\u00A2\u00DB\u00EDp\u00AD\u0082P(\u00C4\u00E2o\u00DF\u00BE]m\x15\u0098\u0098\u00A1v\u00A7\r\u00C3\u00E8s\u00AB\x00B\bR\u00B6#\u00F1B\u00A1p\u00B5\x1C0\u00F1\u00D0\u00D5\u00CA\x19:\u009D\x0E\u00D7+A*\u0095b\u00D5\u00EDj\u00B5:U&\u009B\x0B\u00C0~\u008F\u00A6\u00D5j\u00E18{\u00CC\u00EC$\u008F+\u0081\u00DF\x1F\u0080\u00A2\u00F8\u00C7\u00EE\u00B6\u0086\u0086\u00ED\u00B8|a= \u009DN\u00B3\u00F8\u00F4\u00B4\u00CC\u00B5\x02\u0082\u00C1 \x14\u00FF\u00A80\u00A2\u00AA\u00EA\u00DC\u00C2\u00C8\u00CC\u00E8\u00F6\u00F6\u00F6.+)\u00E5Sn\x150\x1C\x0E\u00B1\u00B9\x19Ar7\u00C9\u00FA\u00F3\u00F2\u00C0\f\x00\u00FB]\u00BA\u008F\u00FF}\u00C4\u0090\u00E3]\u00A1 \bH\u00DF\u00B9\u00C3\u00FA_\u00BF~u\x06\u0090\u009C\u00CA\u009CEh\u009A\u00C6\u00AD\n\b!\u0088m]\u00D6\x05>|\u00F8p5\x05L\n\u008Aj\u00BD\u00CE\u00BD\x19z\u00B8\u00BF\u00CF\u00E2l6;S\x17\u0098\x0B`b J\u00A5\x13\x14\u008B\x05\u0088\u00A2\u00C8\u00CE\x0By\u00FA\u0098\u00A6\u0089t:\rY\u00F6\u008D\u0093\u00FA)\u009A\u00CD\u00E6\u00D4xg\u00DE\x17\u0090$\t\u0099L\u0086\u00DD\x1A\u00CF\u00E5\u00F2x\u00FA\u00F4)\u0097G\u00E5\u00A2\u00B8\u0086h4\u0086P8\u008Cn\u00B7\u0083R\u00A9\u0084R\u00A9\u0084p8\u00BC\x18\x00\x00<x\u00F0\x00\u0087\u0087\u0087\x00\u00807o\u00FE\u00C6\u00BBw\u00FF\u00B2\u0083S\u00DEr\u00C0\u00A8$6\u00AA\x05\f\x06\x03\u00E4\u00F3y\x1C\x1C\x1CL\x15\x0Ff\u00DA\u00EB\u00D7\u00AFW\u00F6\u00B5\u00B9\u0097/_:\u00BF6\u0097\u00C9d\u00B0\u00AA\u00ED\u00E8\u00E8hy\x0E\x00\u0080\u00C7\u008F\x1F\u00E3\u00D5\u00ABW\u00E8\u00F5z\u00DC_\u0094\u00F8\u00D1\x1Eomm\u00C1\u00B2,\u00E6p\u00C9\u00CF\u00B7\u00C7ox\u00FB\x7F\x00B$GYe\u00F7bQ\x00\x00\x00\x00IEND\u00AEB`\u0082"
    var myIcon3 = "\u0089PNG\r\n\x1A\n\x00\x00\x00\rIHDR\x00\x00\x00@\x00\x00\x00@\b\x06\x00\x00\x00\u00AAiq\u00DE\x00\x00\x00\tpHYs\x00\x00\x0B\x13\x00\x00\x0B\x13\x01\x00\u009A\u009C\x18\x00\x00:\u00BBiTXtXML:com.adobe.xmp\x00\x00\x00\x00\x00<?xpacket begin=\"\u00EF\u00BB\u00BF\" id=\"W5M0MpCehiHzreSzNTczkc9d\"?>\n<x:xmpmeta xmlns:x=\"adobe:ns:meta/\" x:xmptk=\"Adobe XMP Core 5.5-c021 79.154911, 2013/10/29-11:47:16        \">\n   <rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n      <rdf:Description rdf:about=\"\"\n            xmlns:xmp=\"http://ns.adobe.com/xap/1.0/\"\n            xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n            xmlns:photoshop=\"http://ns.adobe.com/photoshop/1.0/\"\n            xmlns:xmpMM=\"http://ns.adobe.com/xap/1.0/mm/\"\n            xmlns:stEvt=\"http://ns.adobe.com/xap/1.0/sType/ResourceEvent#\"\n            xmlns:tiff=\"http://ns.adobe.com/tiff/1.0/\"\n            xmlns:exif=\"http://ns.adobe.com/exif/1.0/\">\n         <xmp:CreatorTool>Adobe Photoshop CC (Windows)</xmp:CreatorTool>\n         <xmp:CreateDate>2014-07-04T08:39:49+04:00</xmp:CreateDate>\n         <xmp:ModifyDate>2014-07-10T11:14:21+04:00</xmp:ModifyDate>\n         <xmp:MetadataDate>2014-07-10T11:14:21+04:00</xmp:MetadataDate>\n         <dc:format>image/png</dc:format>\n         <photoshop:ColorMode>3</photoshop:ColorMode>\n         <xmpMM:InstanceID>xmp.iid:06544a74-d56c-044a-b7a3-102b007ec1b7</xmpMM:InstanceID>\n         <xmpMM:DocumentID>xmp.did:aa1b8454-dad3-6e44-b020-8a63fc7aa228</xmpMM:DocumentID>\n         <xmpMM:OriginalDocumentID>xmp.did:aa1b8454-dad3-6e44-b020-8a63fc7aa228</xmpMM:OriginalDocumentID>\n         <xmpMM:History>\n            <rdf:Seq>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>created</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:aa1b8454-dad3-6e44-b020-8a63fc7aa228</stEvt:instanceID>\n                  <stEvt:when>2014-07-04T08:39:49+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>converted</stEvt:action>\n                  <stEvt:parameters>from application/vnd.adobe.photoshop to image/png</stEvt:parameters>\n               </rdf:li>\n               <rdf:li rdf:parseType=\"Resource\">\n                  <stEvt:action>saved</stEvt:action>\n                  <stEvt:instanceID>xmp.iid:06544a74-d56c-044a-b7a3-102b007ec1b7</stEvt:instanceID>\n                  <stEvt:when>2014-07-10T11:14:21+04:00</stEvt:when>\n                  <stEvt:softwareAgent>Adobe Photoshop CC (Windows)</stEvt:softwareAgent>\n                  <stEvt:changed>/</stEvt:changed>\n               </rdf:li>\n            </rdf:Seq>\n         </xmpMM:History>\n         <tiff:Orientation>1</tiff:Orientation>\n         <tiff:XResolution>720000/10000</tiff:XResolution>\n         <tiff:YResolution>720000/10000</tiff:YResolution>\n         <tiff:ResolutionUnit>2</tiff:ResolutionUnit>\n         <exif:ColorSpace>65535</exif:ColorSpace>\n         <exif:PixelXDimension>64</exif:PixelXDimension>\n         <exif:PixelYDimension>64</exif:PixelYDimension>\n      </rdf:Description>\n   </rdf:RDF>\n</x:xmpmeta>\n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                                                                                                    \n                            \n<?xpacket end=\"w\"?>z\x03\u00AA@\x00\x00\x00 cHRM\x00\x00z%\x00\x00\u0080\u0083\x00\x00\u00F9\u00FF\x00\x00\u0080\u00E9\x00\x00u0\x00\x00\u00EA`\x00\x00:\u0098\x00\x00\x17o\u0092_\u00C5F\x00\x00\x05\u00FDIDATx\u00DA\u00EC\u009B\u00CBr\u00DAH\x14\u0086\x7F\t!\u00C4\u00C5\x18\x012\u00BE`\u008Fm\u00B0\x1D\u00A7\\YM\u00AA\u00B2\u0099\u0099\u00E7\u00C9\u0083d\x1E#\u00AB\u00C9\u00CC\u008Bd7\u00B3H\u00A5\u009C\u00C41`b\u0090\u00B9\u00D8\\\x04\x12\u00E2&\u00D4\u00B3\x00\x1Aa\x03JjVmOWQu\x04E\x15\u00FD\u00F5\u00DF\u00E7\u009C>}\u00E0\b!\x04Ox\u00F0x\u00E2C\u0098\x1A\u0096e\u0081\u00E3\u00B8\u00C7\u00B7\u00C2<\u00BFr^\u00DCt\x0B\u00BC~\u00FD\x1A\u00E7\u00E7\u00E7\u00E0\u00F9\u00C7#\n\u00DB\u00B6\x11\u0089D\u00F0\u00F6\u00ED[(\u008A\u00B2Z\x01\u00BA\u00AE\u00E3\u00FD\u00FB\u00F7\u008FR\u00E6WWWK\x01\u00D0\u00E5~\u00F5\u00EA\u0095C6\x1E\u00F0\x1E\x0F8\u008Eg\u00F85\u0093\u00FD\u0087\x0F\x1F\u00DC}\u00C0\u00D1\u00D1\x11}\u00F30\u0095\u00C2\u009B7\u00BFC\x14E\u008CF#\u00E6V\\\u0092$\u00BC{\u00F7\x07\u00FE\u00FA\u00F3\x1D\x00\u00E0\u00F3\u00E7\u00CF\u00EE\x00\u00D2\u00E94\"\u0091\b4MC\u00B7k\u00E2\u00E5\u00CB\u009F\u0091H$0\x18\f\u0098\x03\x10\n\u0085P\u00A9\u0094)\u0080\u00F3\u00F3sw\x00\u00BB\u00BB\u00BB\u0088\u00C7\u00E3\u00D04\r7\u00AA\u008A\u008B/_ \u00CB2\u00BA\u00DD.s\x00\b!H\u00A5R\u0090$?z\u00BD.TUE\u00BB\u00DDF8\x1C^\u00EE\x03DQD:\u009D\u00A6\x1F\\f2\u00F0x<L:\u00BD\u00D1h\u0084\u00F5\u00F5\b\u00D6\u00D6\u00D6\x00\x00\u00AA\u00AA\u00A2Z\u00AD\u00BA'B\u00CF\u009F?\u00A7v\u00A5Re6/\u00B0,\x0B[[\u009BH$\x12\x00\x00\u00D34Q.\u0097\u00DD\x01\x1C\x1F\x1F\u00CFBG.\u00CB,\x00B\b\u00FC~\u00FF\u00DC\u0082^\\\\\u00B8\x03888\u00A0v&\u0093A\u00A3\u00D1`v\x1B\x00\u00802Q\x00\x00\\^^\u00BA\x03\u00D8\u00DA\u00DAB \x10\x00\x00\u00B4Z-\u0098\u00A6\u00C9\u00AC\n8\u008EC2\u0099\u00A4\u00CF\u00B9\\\u00CE\x1D@2\u0099\u0084,\u00CB\x00\u0080j\u00B5\n]\u00D7\u0099M\u008D\t!8}\u00F6\f\x1E\u00CF8\u00D0\u0095J\u00A5\u00859\u00CD\u00DC\u00ECdY\u00A6)c\u00A7c\u00A0P(@\x10\x046\x1D\u00E1\u00C8B<\u00AE 8Qt\u00B5ZE\u00B3\u00D9t?\x0E\u00EF\u00EF\u00EFS\u00BBP(\u00B2\u00AB\x00\u009B`mm\r\u0081P\b\x00P\u00AF\u00D7\x7F\x1C\u0080\u00A65\u0099u\u0080\u0096eacCA,\x16\x05\x00\x18\u0086\u0081z\u00BD\u00EE\x0E\u00C0\u00E98\u008A\u00C5\"\u00B3Q`\x1A\n\u00D3\u00A9\u00B4C\u00D1\x05w\x00\u00BB\u00BB\u00BB\u00D4\u00FE\u0096\u00CF\u00A3\u00DF\u00EF3\\(!\u0088\u00C6\u00E2\u00F4IUUw\x00\u00F1\u00F8\u00EC\x0B\u008Df\x13\u00BAn0\\$\u00E1iT\u009BF\x02W\x00\u00D1h\x14~\u00BF\x7F\x12\t:L+\u0080\u00E3\u00E6\x17\u00F4\u00E6\u00E6\u00C6\x1D@,\x16C0\x18\x04\x00tM\x13\u0083\u00C1\u0080\u00E9dhoo\u00B6\u00A5\u00EF\u00EE\u00EE\u00DC\x01\u00C8\u00B2L\x014\u009BM\u0098&\u00BB[\u00C0\u00B2,(\u008A\x02\u00AFW\x04\x00\u00B4\u00DBm\u00D8\u00B6\u00BD\x1A@(\x14\u0082$I4\x192\f\u0083\u00E9C\u0091$I\x10\u00C51\x00]\u00D7\u00D1\u00E9tV\x03\u00B8\u00EF\b\x0B\x05\u0095\u00E9t\u00D8\u00E7\u00F3Q\x00\u00A6i>(\u00F0,\u009C\u00D9\u00B4\u0090\x00\u0080i'H\x15\u00E0\x13'\u0089\u009D\x06\u00C30\u00DC\x01\u00C4b1j\u00B7Z-\u00A6\x01x\x05\x11\u0082\u00E0\u00A5\u0095\"W\x1F\x00`\u00AEv6\u00B2F`u\x10B \x05$\u00F8&\n\x18\x0E\u00870M\u00D3\x1D\u0080eY\u00B3P\u00C2\u00B3{]6\x1A\u008D \u00CB2]\u00D0\u00C1`\u00F0}\x00\u009C\u00D9\u0093a\u00E8`z\u00DC\u00BB\u00FC\u00BE\u00BF\u009D\x17\x02\u0088F\u00A3\u00D4\u00EE\u00F5z\u008F\u00F2\u00D2t%\u0080\u00A7\u00D42\u00B0\x10\u0080s\u009F\u00B0Z\x11\u00FAO\x00noo\x1D\x11a\u009DiE\u00F0<7\u00B7\u0085\u00EF\u00CF\u0085_v\u0088X\u00E64\u00D8\u009A<\x0F\u00C3\u00E8\u00C04\u00BBt.\u00D3\u00ACp%\x00\x16/D\u0097\x01\u00D0\u00B4\x16t}\x1C\u00C9\u00FC~\u00FF\\\u0096\u00BB\x14\u0080\u00F3\x1A)\x12\u00890\u00BB\x058\u008E\x03!6\u00FD\u00FD\u008B\u00DAe\x16\x02\u00E8\u00F7\u00FB\u00D4\u00F6z\u00BD\u00CC*\u0080\u00E38\u0098\u00A6\u0089~\u00AFG\x17\u00F3\u00BB\x14P\u00A9T\u00A8\u00BD\u00B3\u00B3\u00FD \x7Ff\t\u00C0p8\u00C4p8\x04\u0080\u00B9\u00A3\u00F1R\x00\u00DDn\u0097\x1E\x19}>\x1Fd9\u00C24\u0080^\u00B7K\x15\x1D\x0E\u0087\u00DD\x15\u00A0i\x1A\u00CD\x03\u00A2\u00D1(\x02\u0081\x10\u00B3\x00<\x1E\x0F\u00B4\u0096F\u009Dz8\x1C~\u0090\u00D7<\x00\u00D0h4h\u00D5\u00C4\x1F\b\u008E%\u00C3l\x1E\u00C0A\u00BD)\x01 \x0FR\u00FC\u00A5\x00j\u00B5\x1A\x05\x10\f\x06\u00E1\u00F3\u00F9\u00C0\u00EA\u00F4\t\u00B1\u00A1\x16gw\x01\u009B\u009B\u009B\u00DF\x07`\x1A6\u00C2\u00E10\u0082\u00C1\x00\u00B3[\x00\x18\x17B\u00A7\u00C3y\u00E9\u00B3\x14\u00803\x02\x1C\u00EC\u00EF#\x18\f2\x0B\u0080\x10\u0082z\u00BD\u00E6\u0088h;\u00EE\x00\u009C\u00D7G{{?1\u00BD\u00FA\u00B6m#\x7Fu\u00F5c\n\u00C8\u00E7\u00F3\u008E\u00C2H\u0094\u00D9,P\x10\x04\u0094+\x15To\u00C7\u00DDa\u00A2(\u00D2\u00A6\u00A9\u0095\x00\u00B2\u00D9,\u00B57\x12\x1B\u00CC\x02\u00E0y\x1E\u00EDV\x1B\x1Dc\u00EC\u00D0\u00E3\u00F18\"\u0091\u00C8j\x00\u00A6i\u00A2V\u00ABM\x0E\x0E\x01\x1C\x1F\u00A7\u00E7\u00EA\u0083\u00AC\u00E5\x00\u00BA\u00DE\u00A6epEQ\u00DC\u00C3\u00A0\u00AA\u00AA\u00D04mLLQ\u00B0\u00BE\u00CEn\x16\u00C8\u00F3<\u00B2\u00D9,,kHC\u00A0\u00CF\u00E7[\r\u00A0\\.\u00D3\u00B0\u00B1\x1E^\u0087$\u00F9\u0099\u00DD\x02\u0084\x00\u00D9\u00EC\u00AC3\u00CC\u00D9\x05\u00BB\x14\u00C0\u00F5\u00F55\u009Dp2\u00B9\x03Y\u0096\u0099\u00EC\x16\x07\x00\x02\u0082\u00BB\u00BBYe+\u0095J\u00B9\x03\u00C8d2\u00D4>;;\u0083\u00D7+\u00B0\u00AB\x00\u00DBF\u00CE1\u009F\u00D3\u00D3Sw\x00\u00CEv\u00D2\u008DD\u0082\u00D9\u00FD/\b\x02J\u00A52\u00BE\x15\u00AEiM\u00C3\u00D9\u00FC\u00B5\x10\x00!d\x0E\u00C0\u00E1\u00E1!\u00D3\u00A7\u00C0f\u00B3\u0089vk\u00EC\u00CF\u00B6\u00B7\u00B7\u00E7n\u00BC\u00E7`M\u008DR\u00A9D[\u00CAc\u00D1\x18\u009E\u009D\u009C\u00C0\u00B6m&\u00BB\u00C4DQD\u00B1X@\u00A7cL\u00FCYr\u00EE\u00C2w!\u0080|>O\u00FB\u00E86\x12\u009B\u00F0\b\x02:\u009D\x0E\u00A3y\x00\u0087\u00BF\u00FF\u00F9\u0087>\x1D\x1D\x1D-\u00ADnS\x00_\u00BF~\u00A5\u0092\u00CF\u00E52\u00F8\u00ED\u00D7_\u0098=\x03p\x1C\u0087\u0096\u00E3\x14\u00F8\u00E2\u00C5\u008B\u00E5\u00FEbj|\u00FA\u00F4\u0089\u00BE9\x18\f\u00E6.GX\x1Fggg\u00EE\x00>~\u00FC\u00B80Sb}\u00C8\u00B2\u008C\u0093\u0093\u0093\u00E5j\u0099\u00FEs\u00B4Z\u00AD2}\u00F4]\x15\x12\u00E3\u00F1\u00F8R\x1F\u00C0\u00FD\u00FF\u00EF\u00F1'>\u00FE\x1D\x00\u00CAE\u00A5I\u0082!\x00h\x00\x00\x00\x00IEND\u00AEB`\u0082"
    myMode[0] = -1;
    var myDialog = new Window ("dialog", 'Border&Bend Effects');
    myDialog.orientation = "column";
    myDialog.alignChildren = ['fill', 'fill'];
    myDialog.pnl0 = myDialog.add("panel", undefined, "Метод трансфомации");
    myDialog.pnl0.orientation = "column";
    myDialog.pnl0.alignChildren =['fill', 'fill'];// 'left';
    var myGroup0 = myDialog.pnl0.add( "group" );
    myGroup0.orientation = 'row';
    var myToolButon0 = myGroup0.add ("iconbutton", undefined, myIcon0, {style: "toolbutton", toggle: true});
    var myToolButon1 = myGroup0.add ("iconbutton", undefined, myIcon1, {style: "toolbutton", toggle: true});
    var myToolButon2 = myGroup0.add ("iconbutton", undefined, myIcon2, {style: "toolbutton", toggle: true});
    var myToolButon3 = myGroup0.add ("iconbutton", undefined, myIcon3, {style: "toolbutton", toggle: true});
    
    var myDialogShadow = myDialog.pnl0.add('checkbox', undefined, "Добавить тень");
    myDialogShadow.value = true;
    var myDialogGlow = myDialog.pnl0.add('checkbox', undefined, "Добавить свечение");
    myDialogGlow.value = false;
    myToolButon0.onClick = function() 
    { 
        if(myToolButon0.value  == true) { myMode[0] = 0; myToolButon1.value =false; myToolButon2.value =false; myToolButon3.value =false; }        
    }
    myToolButon1.onClick = function() 
    { 
        if(myToolButon1.value  == true) { myMode[0] = 1; myToolButon0.value =false; myToolButon2.value =false; myToolButon3.value =false; }        
    }
    myToolButon2.onClick = function() 
    { 
        if(myToolButon2.value  == true) { myMode[0] = 2; myToolButon0.value =false; myToolButon1.value =false; myToolButon3.value =false; }        
    }
    myToolButon3.onClick = function() 
    { 
        if(myToolButon3.value  == true) { myMode[0] = 3; myToolButon0.value =false; myToolButon1.value =false; myToolButon2.value =false; }
    }
//  окантовка
    var myGroup1 = myDialog.pnl0.add( "group" );
    myGroup1.orientation = 'row';
    myGroup1.add("statictext", undefined, "Толщина белого канта в пунктах:");
    var myEditText = myGroup1.add("edittext", undefined, "3");
    myEditText.characters = 3;
    
 // главные кнопки   
    var myGroup2 = myDialog.add( "group" );
    myGroup2.orientation = 'row';
    myGroup2.okButton = myGroup2.add( "button", undefined, "OK" );
    myGroup2.okButton.onClick = function() {
        if( myMode[0] == -1) {alert('Не выбран метод трансформации'); return;}
        // тень и свечение
        myMode[1] = myDialogShadow.value;
        myMode[2] = myDialogGlow.value;
        myMode[3] = myEditText.text + " pt";
        myDialog= this.window.close( 1 );
    }
    myGroup2.cancelButton = myGroup2.add( "button", undefined, "Cancel" );
    myGroup2.cancelButton.onClick = function() { myDialog = this.window.close( 0 ); }

    return myDialog;
} // fnc


function myStart(myObjectList)
{

  app.activeWindow.transformReferencePoint = AnchorPoint.centerAnchor;
     // начало цикла по всем объектам
    for (var myObjectCounter = 0; myObjectCounter < myObjectList.length; myObjectCounter++){
        var myObject = myObjectList[myObjectCounter];
        var myBounds = myObject.geometricBounds;
        var myW = myBounds[3] - myBounds[1]; // ширина прямоугольника
        var k_kr = myW*0.05 // коэффициент кривизны
        var myTransformObjects = new Array(); // сюда собираем трансформированный прямоугольник, тень и свечение, чтобы потом сгруппировать
        switch(myMode[0]){
            case 0:
             myShadowObj =myObject.duplicate();
             myTrasformation0(myObject, k_kr, myMode[3]);
             myTransformObjects[0] = myObject;
             if(myMode[1])   //      Делать тень!
            {
                var myShadow = myMakeShadow0(myShadowObj, k_kr, myBounds);
                myTransformObjects.push(myShadow);
            }
            else {myShadowObj.remove()}
            if(myMode[2])
            {
                var myGlow = myMakeGlow0(myObject);
                myTransformObjects.push(myGlow);
            }
            if(myTransformObjects.length > 1)
                var myGroup = app.activeDocument.groups.add(myTransformObjects);
            break;
            case 1:
            myTrasformation1(myObject, k_kr, myMode[3]);
            myTransformObjects[0] = myObject;
             if(myMode[1])   //      Делать тень!
            {
                var myShadow = myMakeShadow1(myObject, k_kr);
                myTransformObjects.push(myShadow);
            }
            if(myMode[2])
            {
                var myGlow = myMakeGlow0(myObject);
                myTransformObjects.push(myGlow);
            }
            if(myTransformObjects.length > 1)
                var myGroup = app.activeDocument.groups.add(myTransformObjects);
            break;
            case 2:
            myTrasformation2(myObject, k_kr, myMode[3]);
            myTransformObjects[0] = myObject;
            if(myMode[1])   //      Делать тень!
            {
                var myShadow = myMakeShadow2(myObject, k_kr);
                myTransformObjects.push(myShadow);
            }
            if(myMode[2])
            {
                var myGlow = myMakeGlow1(myObject);
                myTransformObjects.push(myGlow);
            } 
            if(myTransformObjects.length > 1)
                var myGroup = app.activeDocument.groups.add(myTransformObjects);
            break;
            case 3:
            myTrasformation3(myObject, k_kr, myMode[3]);
            myTransformObjects[0] = myObject;
            if(myMode[1])   //      Делать тень!
            {
                var myShadow = myMakeShadow3(myObject, k_kr);
                myTransformObjects.push(myShadow);
            }
            if(myMode[2])
            {
                var myGlow = myMakeGlow1(myObject);
                myTransformObjects.push(myGlow);
            }      
            if(myTransformObjects.length > 1)
                var myGroup = app.activeDocument.groups.add(myTransformObjects);
            break;            
            default: break;
            } // switch
        } // for
} // fnc

function myTrasformation0(myObject, myOffset, myStrokeWeight)
{
    var myPathPoint, myAnchor, myX, myY, myPoint, myPathPoint; 
        myObject.strokeWeight =myStrokeWeight;
        myObject.strokeColor = app.activeDocument.swatches.item("Paper"); 

        // начало цикла по всем path объекта
        for(var myPathCounter = 0; myPathCounter < myObject.paths.length; myPathCounter ++){
            var myPath = myObject.paths.item(myPathCounter); // текущий path
            // добавляем точки
            myAddPoints(myPath);
            var myPointArray = new Array(myPath.pathPoints.length);   // массив точек текущего path
            // начало цикла по точкам текущего path
            for (var myPathPointCounter = 0; myPathPointCounter < myPath.pathPoints.length; myPathPointCounter ++){
                    myPathPoint = myPath.pathPoints.item(myPathPointCounter); // текущая точка
                    myAnchor = myPathPoint.anchor; // координаты  текущей точки
                    // координаты текущей точки
                    myX = myAnchor[0];
                    myY = myAnchor[1];
                    
                    
                  switch (myPathPointCounter){
                        case 0:
                                myPoint = [[myX, myY+myOffset], [myX, myY+myOffset], [myX, myY+myOffset]];
							break;
                           case 1:
							myPoint = [myAnchor, myAnchor, myAnchor];                            
							break;
                            case 2:
							myPoint = [[myX, myY], myAnchor, [myX, myY]];
							break;
                            case 3:
							myPoint = [[myX-4*myOffset, myY-myOffset], [myX, myY-myOffset], [myX+4*myOffset, myY-myOffset]];
							break;
                             case 4:
							myPoint = [[myX, myY], myAnchor, [myX, myY]];
                                break;
                             case 5:
							myPoint = [myAnchor, myAnchor, myAnchor];                            
							break; 
                             case 6:
							myPoint = [[myX, myY+myOffset], [myX, myY+myOffset], [myX, myY+myOffset]];                            
							break;
                             case 7:
							myPoint = [[myX+4*myOffset, myY], [myX, myY], [myX-4*myOffset, myY]];                            
							break;    
                            default:
                            break;
                        
                    } // switch

              myPointArray[myPathPointCounter] = myPoint;
                
            } // конец цикла по точкам текущего path
            myPath.entirePath = myPointArray;
        } // конец  цикла по всем path объекта
    
} // fnc

function myMakeShadow0(myShadowObject, myOffset, myBounds)
{
    
     myShadowObject.sendToBack();
      var myGraphics = myShadowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
     myShadowObject.fillColor = app.activeDocument.swatches.item("Black");        
    myShadowObject.fillTint = 75;
    myShadowObject.strokeWeight ="0pt";  
    with (myShadowObject.transparencySettings.directionalFeatherSettings){  
      applied = true;  
      angle = 0;  
      noise = 0;  
      chokeAmount = 0;  
      //followShapeMode = FollowShapeModeOptions.ALL_EDGES;  
      bottomWidth = myOffset;  
      topWidth = myOffset;  
      rightWidth = myOffset ;
      leftWidth = myOffset; 
    } 
    // Уменьшаем высоту подкладки
    //myShadowObject.geometricBounds = [myBounds[0] + myOffset, myBounds[1], myBounds[2], myBounds[3]];
    myShadowObject.move(undefined, [myOffset,myOffset]);
    return myShadowObject;
} // fnc

function myMakeGlow0(myObject)
{
    var myGlowObject = myObject.duplicate();
    var myGraphics = myGlowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
    myGlowObject.fillColor = app.activeDocument.swatches.item("Paper");        
    myGlowObject.fillTint = 75;
    //myGlowObject.strokeWeight =0;
    // Применяем эффект
    with (myGlowObject.transparencySettings.gradientFeatherSettings){  
      applied = true;  
      angle = 0;  
      type = 1635282023  //GradientType.LINEAR;  
      opacityGradientStops[0].opacity = 0;  
      opacityGradientStops[0].location = 35; 
      opacityGradientStops[1].opacity = 100; 
      opacityGradientStops[1].location = 50; 
      opacityGradientStops.add({opacity:0,  location:65,  midpoint:50}  );

    } // with
        myGlowObject.transparencySettings.blendingSettings.blendMode = BlendMode.NORMAL;
        myGlowObject.transparencySettings.blendingSettings.opacity = 35; //0-100    
return myGlowObject ;      
} // fnc

function myTrasformation1(myObject, myOffset, myStrokeWeight)
{
    var myPathPoint, myAnchor, myX, myY, myPoint, myPathPoint; 
        myObject.strokeWeight =myStrokeWeight;
        myObject.strokeColor = app.activeDocument.swatches.item("Paper"); 

        // начало цикла по всем path объекта
        for(var myPathCounter = 0; myPathCounter < myObject.paths.length; myPathCounter ++){
            var myPath = myObject.paths.item(myPathCounter); // текущий path
            // добавляем точки
            myAddPoints(myPath);
            var myPointArray = new Array(myPath.pathPoints.length);   // массив точек текущего path
            // начало цикла по точкам текущего path
            for (var myPathPointCounter = 0; myPathPointCounter < myPath.pathPoints.length; myPathPointCounter ++){
                    myPathPoint = myPath.pathPoints.item(myPathPointCounter); // текущая точка
                    myAnchor = myPathPoint.anchor; // координаты  текущей точки
                    // координаты текущей точки
                    myX = myAnchor[0];
                    myY = myAnchor[1];
                    
                    
                  switch (myPathPointCounter){
                        case 0:
                                myPoint = [[myX, myY], [myX, myY], [myX, myY]];
							break;
                           case 1:
							myPoint = [myAnchor, myAnchor, myAnchor];                            
							break;
                            case 2:
							myPoint = [[myX, myY-myOffset], [myX, myY-myOffset], [myX, myY-myOffset]];
							break;
                            case 3:
							myPoint = [[myX-4*myOffset, myY], [myX, myY], [myX+4*myOffset, myY]];
							break;
                             case 4:
							myPoint = [[myX, myY-myOffset], [myX, myY-myOffset], [myX, myY-myOffset]];
                                break;
                             case 5:
							myPoint = [myAnchor, myAnchor, myAnchor];                            
							break; 
                             case 6:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];                            
							break;
                             case 7:
							myPoint = [[myX+4*myOffset, myY+myOffset], [myX, myY+myOffset], [myX-4*myOffset, myY+myOffset]];                            
							break;    
                            default:
                            break;
                        
                    } // switch

              myPointArray[myPathPointCounter] = myPoint;
                
            } // конец цикла по точкам текущего path
            myPath.entirePath = myPointArray;
        } // конец  цикла по всем path объекта
    
} // fndc

function myMakeShadow1(myObject, myOffset)
{
    myShadowObject = myObject.duplicate();
    myShadowObject.sendToBack();
    myShadowObject.absoluteFlip = Flip.VERTICAL;
    var myGraphics = myShadowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
     myShadowObject.fillColor = app.activeDocument.swatches.item("Black");        
    myShadowObject.fillTint = 75;
    myShadowObject.strokeWeight ="0pt";       
    with (myShadowObject.transparencySettings.directionalFeatherSettings){  
      applied = true;  
      angle = 0;  
      noise = 0;  
      chokeAmount = 0;  
      //followShapeMode = FollowShapeModeOptions.ALL_EDGES;  
      bottomWidth = myOffset/2;  
      topWidth = myOffset/2;  
      rightWidth = myOffset/2 ;
      leftWidth = myOffset/2; 
    } 
    
    myShadowObject.move(undefined, [myOffset, myOffset]);
    return myShadowObject;
} // fnc


function myTrasformation2(myObject, myOffset, myStrokeWeight)
{
    var myPathPoint, myAnchor, myX, myY, myPoint, myPathPoint; 
        myObject.strokeWeight =myStrokeWeight;
        myObject.strokeColor = app.activeDocument.swatches.item("Paper"); 

        // начало цикла по всем path объекта
        for(var myPathCounter = 0; myPathCounter < myObject.paths.length; myPathCounter ++){
            var myPath = myObject.paths.item(myPathCounter); // текущий path
            // добавляем точки
            myAddPoints(myPath);
            var myPointArray = new Array(myPath.pathPoints.length);   // массив точек текущего path
            // начало цикла по точкам текущего path
            for (var myPathPointCounter = 0; myPathPointCounter < myPath.pathPoints.length; myPathPointCounter ++){
                    myPathPoint = myPath.pathPoints.item(myPathPointCounter); // текущая точка
                    myAnchor = myPathPoint.anchor; // координаты  текущей точки
                    // координаты текущей точки
                    myX = myAnchor[0];
                    myY = myAnchor[1];
                    
                    
                    switch (myPathPointCounter){
                        case 0:
                                myPoint = [[myX+myOffset, myY], [myX+myOffset, myY], [myX+myOffset, myY]];
							break;
                           case 1:
							myPoint = [[myX, myY - 4*myOffset], [myX, myY], [myX, myY + 4*myOffset]];                            
							break;
                            case 2:
							myPoint = [[myX+myOffset, myY], [myX+myOffset, myY], [myX+myOffset, myY]];
							break;
                            case 3:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];
							break;
                             case 4:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];
                                break;
                             case 5:
							myPoint = [[myX-myOffset, myY+4*myOffset], [myX-myOffset, myY], [myX-myOffset, myY-4*myOffset]];                            
							break; 
                             case 6:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];                            
							break;
                             case 7:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];                            
							break;    
                            default:
                            break;
                        
                    } // switch

              myPointArray[myPathPointCounter] = myPoint;
                
            } // конец цикла по точкам текущего path
            myPath.entirePath = myPointArray;
        } // конец  цикла по всем path объекта
    
} // fnc

function myMakeShadow2(myObject, myOffset)
{
    myShadowObject = myObject.duplicate();
    myShadowObject.sendToBack();
    myShadowObject.absoluteFlip = Flip.HORIZONTAL;
    var myGraphics = myShadowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
     myShadowObject.fillColor = app.activeDocument.swatches.item("Black");        
    myShadowObject.fillTint = 75;
    myShadowObject.strokeWeight ="0pt";       
    with (myShadowObject.transparencySettings.directionalFeatherSettings){  
      applied = true;  
      angle = 0;  
      noise = 0;  
      chokeAmount = 0;  
      //followShapeMode = FollowShapeModeOptions.ALL_EDGES;  
      bottomWidth = myOffset/2;  
      topWidth = myOffset/2;  
      rightWidth = myOffset/2 ;
      leftWidth = myOffset/2; 
    } 
    
    myShadowObject.move(undefined, [-1.5*myOffset, myOffset/2]);
    return myShadowObject;    
} // fnc

function myMakeGlow1(myObject)
{
    var myGlowObject = myObject.duplicate();
    var myGraphics = myGlowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
    myGlowObject.fillColor = app.activeDocument.swatches.item("Paper");        
    myGlowObject.fillTint = 75;
    //myGlowObject.strokeWeight =0;
    // Применяем эффект
    with (myGlowObject.transparencySettings.gradientFeatherSettings){  
      applied = true;  
      angle = 90;  
      type = 1635282023  //GradientType.LINEAR;  
      opacityGradientStops[0].opacity = 0;  
      opacityGradientStops[0].location = 35; 
      opacityGradientStops[1].opacity = 100; 
      opacityGradientStops[1].location = 50; 
      opacityGradientStops.add({opacity:0,  location:65,  midpoint:50}  );

    } // with
    myGlowObject.transparencySettings.blendingSettings.blendMode = BlendMode.NORMAL;
    myGlowObject.transparencySettings.blendingSettings.opacity = 35; //0-100    
     return myGlowObject;           
} // fnc

function myTrasformation3(myObject, myOffset, myStrokeWeight)
{
    var myPathPoint, myAnchor, myX, myY, myPoint, myPathPoint; 
        myObject.strokeWeight =myStrokeWeight;
        myObject.strokeColor = app.activeDocument.swatches.item("Paper"); 

        // начало цикла по всем path объекта
        for(var myPathCounter = 0; myPathCounter < myObject.paths.length; myPathCounter ++){
            var myPath = myObject.paths.item(myPathCounter); // текущий path
            // добавляем точки
            myAddPoints(myPath);
            var myPointArray = new Array(myPath.pathPoints.length);   // массив точек текущего path
            // начало цикла по точкам текущего path
            for (var myPathPointCounter = 0; myPathPointCounter < myPath.pathPoints.length; myPathPointCounter ++){
                    myPathPoint = myPath.pathPoints.item(myPathPointCounter); // текущая точка
                    myAnchor = myPathPoint.anchor; // координаты  текущей точки
                    // координаты текущей точки
                    myX = myAnchor[0];
                    myY = myAnchor[1];
                    
                    
                  switch (myPathPointCounter){
                        case 0:
                                myPoint = [[myX, myY], [myX, myY], [myX, myY]];
							break;
                           case 1:
							myPoint = [[myX+myOffset, myY - 4*myOffset], [myX+myOffset, myY], [myX+myOffset, myY + 4*myOffset]];                            
							break;
                            case 2:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];
							break;
                            case 3:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];
							break;
                             case 4:
							myPoint = [[myX-myOffset, myY], [myX-myOffset, myY], [myX-myOffset, myY]];
                                break;
                             case 5:
							myPoint = [[myX, myY+4*myOffset], [myX, myY], [myX, myY-4*myOffset]];                            
							break; 
                             case 6:
							myPoint = [[myX-myOffset, myY], [myX-myOffset, myY], [myX-myOffset, myY]];                            
							break;
                             case 7:
							myPoint = [[myX, myY], [myX, myY], [myX, myY]];                            
							break;    
                            default:
                            break;
                        
                    } // switch

              myPointArray[myPathPointCounter] = myPoint;
                
            } // конец цикла по точкам текущего path
            myPath.entirePath = myPointArray;
        } // конец  цикла по всем path объекта
    
} // fnc

function myMakeShadow3(myObject, myOffset)
{
    myShadowObject = myObject.duplicate();
    myShadowObject.sendToBack();
    myShadowObject.absoluteFlip = Flip.HORIZONTAL;
    var myGraphics = myShadowObject.allGraphics;
     for (j = myGraphics.length-1; j > -1; j--)
            try {myGraphics[j].remove()} catch (_){}
     myShadowObject.fillColor = app.activeDocument.swatches.item("Black");        
    myShadowObject.fillTint = 75;
    myShadowObject.strokeWeight ="0pt";       
    with (myShadowObject.transparencySettings.directionalFeatherSettings){  
      applied = true;  
      angle = 0;  
      noise = 0;  
      chokeAmount = 0;  
      //followShapeMode = FollowShapeModeOptions.ALL_EDGES;  
      bottomWidth = myOffset/2;  
      topWidth = myOffset/2;  
      rightWidth = myOffset/2 ;
      leftWidth = myOffset/2; 
    } 
    
    myShadowObject.move(undefined, [1.5*myOffset, myOffset/2]);
    return myShadowObject;      
} // fnc



// ********************************************************************************************************************//

function myAddPoints(myPath){ //   (C) Adobe
	myPointArray = new Array;
	for(myPathPointCounter = 0; myPathPointCounter < myPath.pathPoints.length; myPathPointCounter ++){
		myPathPoint = myPath.pathPoints.item(myPathPointCounter);
		if(myPathPointCounter != myPath.pathPoints.length-1){
			myNextPathPoint = myPath.pathPoints.item(myPathPointCounter+1);
		}
		else{
			myNextPathPoint = myPath.pathPoints.item(0);
		}
		//Get the anchor of the current point.
		myBx0 = myPathPoint.anchor[0];
		myBy0 = myPathPoint.anchor[1];
		//Get the right direction of the current point.
		myBx1 = myPathPoint.rightDirection[0];
		myBy1 = myPathPoint.rightDirection[1];
		//Get the left direction of the *next* point.
		myBx2 = myNextPathPoint.leftDirection[0];
		myBy2 = myNextPathPoint.leftDirection[1];
		//Get the anchor of the *next* point.
		myBx3 = myNextPathPoint.anchor[0];
		myBy3 = myNextPathPoint.anchor[1];
    		myPoints = myCalculatePoints(myBx0, myBy0, myBx1, myBy1, myBx2, myBy2, myBx3, myBy3);
		myPointA = myPoints[0];
		myPointB = myPoints[1];
		myPointC = myPoints[2];
		//Add the points to the path point array.
		//If the point is the first point in the array, set it; otherwise
		//set the previous point's right direction.
		if(myPathPointCounter == 0){
			myPointArray.push(myPointA);
			//Add the intermediate point.
			myPointArray.push(myPointB);
			//Add the end point of the current line segment.
			myPointArray.push(myPointC);
		}
		else{
			if(myPathPointCounter == myPath.pathPoints.length-1){
				if (myPath.pathType == PathType.closedPath){
					//Adjust the right direction of the preceding point.
					myPointArray[myPointArray.length-1][2] = myPointA[2];
					//Add the intermediate point.
					myPointArray.push(myPointB);
					//Adjust the left direction of the first point.
					myPointArray[0][0] = myPointC[0];
				}
			}
			else{
				//Adjust the right direction of the preceding point.
				myPointArray[myPointArray.length-1][2] = myPointA[2];
				//Add the intermediate point.
				myPointArray.push(myPointB);
				//Add the end point of the current line segment.
				myPointArray.push(myPointC);
			}
		}
	}
	//Now apply the array of triples (left direction, anchor, right direction) to the path.
	myPath.entirePath = myPointArray;
}
function myCalculatePoints(myBx0, myBy0, myBx1, myBy1, myBx2, myBy2, myBx3, myBy3){
	var myCx0, myCy0, myCx1, myCy1, myCx2, myCy2, myCx3, myCy3;
	var myDx0, myDy0, myDx1, myDy1, myDx2, myDy2, myDx3, myDy3;
	var myPointA, myPointB, myPointC;
	if((myBx1 == myBx0)&&(myBy1 == myBy0)&&(myBx2 == myBx3)&&(myBy2 == myBy3)){
		//Anchor of point 1 of segment 1
		myCx0 = myBx0;
		myCy0 = myBy0;
		//Anchor of point 2 of segment 1
		myCx3 = (myBx3 + (3 * myBx2) + (3 * myBx1) + myBx0) * 0.125;
		myCy3 = (myBy3 + (3 * myBy2) + (3 * myBy1) + myBy0) * 0.125;
		//Anchor of point 1 of segment 2 (not really necessary; same as ending of segment 1)
		myDx0 = (myBx3 + (3 * myBx2) + (3 * myBx1) + myBx0) * 0.125;
		myDy0 = (myBy3 + (3 * myBy2) + (3 * myBy1) + myBy0) * 0.125;
		//Anchor of point 2 of segment 2
		myDx3 = myBx3;
		myDy3 = myBy3;
		//RightDirection of point 1 of segment 1
		myCx1 = myCx0;
		myCy1 = myCy0;
		//LeftDirection of point 2 of segment 1
		myCx2 = myCx3;
		myCy2 = myCy3;
		//RightDirection of point 2 of segment 1 (i.e., point 1 of segment 2)
		myDx1 = myDx0;
		myDy1 = myDy0;
		//LeftDirection of point 2 of segment 2
		myDx2 = myDx3;
		myDy2 = myDy3;
	}
	else{
		//Anchor of point 1 of segment 1
		myCx0 = myBx0;
		myCy0 = myBy0;
		//RightDirection of point 1 of segment 1
		myCx1 = (myBx1 + myBx0) * 0.5;
		myCy1 = (myBy1 + myBy0) * 0.5;
		//LeftDirection of point 2 of segment 1
		myCx2 = (myBx2 + (2 * myBx1) + myBx0) * 0.25;
		myCy2 = (myBy2 + (2 * myBy1) + myBy0) * 0.25;
		//anchor of point 2 of segment 1
		myCx3 = (myBx3 + (3 * myBx2) + (3 * myBx1) + myBx0) * 0.125;
		myCy3 = (myBy3 + (3 * myBy2) + (3 * myBy1) + myBy0) * 0.125;
		//Anchor of point 1 of segment 2 (not really necessary; same as ending of segment 1)
		myDx0 = (myBx3 + (3 * myBx2) + (3 * myBx1) + myBx0) * 0.125;
		myDy0 = (myBy3 + (3 * myBy2) + (3 * myBy1) + myBy0) * 0.125;
		//RightDirection of point 2 of segment 1 (i.e., point 1 of segment 2)
		myDx1 = (myBx3 + (2 * myBx2) + myBx1) * 0.25;
		myDy1 = (myBy3 + (2 * myBy2) + myBy1) * 0.25;
		//LeftDirection of point 2 of segment 2
		myDx2 = (myBx3 + myBx2) * 0.5;
		myDy2 = (myBy3 + myBy2) * 0.5;
		//Anchor of point 2 of segment 2
		myDx3 = myBx3;
		myDy3 = myBy3;
	}
	myPointA = [[myBx0, myBy0], [myCx0, myCy0], [myCx1, myCy1]]
	myPointB = [[myCx2, myCy2], [myCx3, myCy3], [myDx1, myDy1]]
	myPointC = [[myDx2, myDy2], [myDx3, myDy3], [myDx3, myDy3]]
	return [myPointA, myPointB, myPointC];
}


//===========================================================================
/* отсюда взята работа с эффектами - https://forums.adobe.com/message/3836499?tstart=-3*/
